Kodi Community Forum

Full Version: [RELEASE] ORF TVthek Video Addon
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2 3 4 5 6 7 8 9 10 11
ok, looks like I must have installed it manually at some point and forgot about it Wink
https://github.com/s0faking/plugin.video...tree/devel
Hmmm...
Just tried to install Vers. 0.10.3 from zip-file. Kodi tells me its not compatible.
Slowly i remember a wise phrase: "never touch a running system"...  Confused
(2021-02-20, 12:10)contadino Wrote: [ -> ]Hmmm...
Just tried to install Vers. 0.10.3 from zip-file. Kodi tells me its not compatible.
Slowly i remember a wise phrase: "never touch a running system"...  Confused

hi contadino

there's probably a mixup with the manual installations. try to uninstall the addon, (if you can, check the userdata/addons folder for a orftvthek folder. delete it if there is one). then reinstall the addon from the official repo

what worked for me so far was to open the addon detail informations and click on the versions button (next to uninstall). chose the kodi version and you should be good.

for a manual installation please use this file if needed: https://github.com/s0faking/plugin.video...kodi19.zip

cheers,
s0fa
Hi sofaking,
thanks a lot for your detailed instruction!

But....  it doesn't work out Confused
I successfully deinstalled the previous version. Also no userdata/addons folder for a orftvthek folder.
But its not possible to install the current version. When i find the ORF-addon in the official repo there is no version to choose because nothing is installed. And when i try to install, Kodi tells me, there is a problem with Python.
Then i downloaded your zip-file "plugin.video.orftvthek-0.10.3-kodi19.zip". But its the same - no installing because of problems with Python.
Sorry, that i cannot bring up good news... Sad
Yippie!
Its working finally. Big Grin
I don't know why, but yesterday evening i tried another time to install your zip-file and now it worked out. Maybe it was was necessary to shut down and restart the pc - i don't know.
But the important thing for me: the ORF-addon is working as before.
Thanks a lot mr sofa!!
Servus Sofaking,

like others before I would like to thank you for this pulgin.
After I have found some additional settings, even the list of livestreams work for me quite well.

Just recently, though, I ran into the problem that some livestreams (eg. ZIB) cannot be played as "DRM is not supported".
After spending some time with Dr. Google, I learned that in general it should be possible to watch DRM content with Kodi.
(eg. https://winfuture.de/news,103877.html)

Since your plugin seems to be at least "tolerated" by ORF, have you ever thought about supporting DRM content?

Many thanks,
Michael

PS: I am running Kodi on a Raspberry Pi with raspbian.
hi michael,

drm is already supported in 0.12.2. i've decided to stop supporting Kodi versions > 18 because most of the tvthek content now needs inputstream adaptive and widevine, and i honestly don't have the time to support/test the old kodi versions. the version is already pushed to the offcial repo, so you should get the update if you are on matrix or leia
(2021-06-22, 00:47)sofaking Wrote: [ -> ]hi michael,

drm is already supported in 0.12.2. i've decided to stop supporting Kodi versions > 18 because most of the tvthek content now needs inputstream adaptive and widevine, and i honestly don't have the time to support/test the old kodi versions. the version is already pushed to the offcial repo, so you should get the update if you are on matrix or leia
hi sofaking,

many thanks for your help.

I moved from raspbian to libreelec and was now able to upgrade to kodi matrix and orf addon 0.12.2
I do not see the DRM message anymore, but starting the encrypted livestream now fails completly - in the logs i can see three related error messages:
Code:
ERROR <general>: ffmpeg[0x34f0448X]: [hls] SAMPLE-AES encryption is not supported yet
ERROR <general>: ffmpeg[0x34f0448X]: [hls] Error when loading first segment
ERROR <general>: OpenDemuxStream - Error creating demuxer
I posted the full log tail here: cefukifuri.kodi (paste)

Is this something you have seen before?
Might this be related to LibreELEC?

Sorry for bothering you so much - I really appreciate your help!

Many thanks,
Michael

PS: Watching ZIB as a "missed show" works without any problem - only the livestream failes for me (but probably missed shows are not encrypted)...
@michaelAT did you install the version from the official repo. HLS is not supported in combination with DRM. not sure why the hls stream i selected in your case. can you send the complete log? are you using the serviceapi?
(2021-06-26, 11:36)sofaking Wrote: [ -> ]@michaelAT did you install the version from the official repo. HLS is not supported in combination with DRM. not sure why the hls stream i selected in your case. can you send the complete log? are you using the serviceapi?

hi sofaking,

yes, I have used the official repo.

I have now uninstalled the orf addon and reinstalled it. after I started a specific livestream kodi now prompted me to install additional addons (inputstream adaptive and widevine) - not sure why that did not happen previously. anyway, all encrypted livestreams seem to work fine now -  many thanks!

the only remaining issue I have noticed is, that for some (not all) livestreams audio and video is out of sync (by multiple seconds) - but I have not really found a pattern yet, in which specific case that happens. so far, it seems like just sport streams are affected. since this could potentially have many different reasons (inclunding bandwith bottlenecks) I will observe this a litte more...

many thanks for all your help!

michael
Hi sofaking,

i'm sorry to come back with a problem...  Confused
I have big problems with the ORF-live-stream  because of DRM.
With the ORF TVthek Video Addon InputStream-Helper also gets installed. BUT it seems that InputStream-adaptiv and widevine are not working. At least the Info of Inputstream-Helper tells me, that both are not installed.
Do you know where to get inputstream-adaptive? The Addon-folder "Input Stream", where it shold be found, does not exist in Kodi 19.1?!
And widevine should get installed automatically?
I would be very thankful for a hint in the right direction! Blush

PS: I do not use a ARM-platform, but a standard Intel-Atom-PC with Lubuntu as OS.
Well, everything fine again! Rofl
For everybody with similar problems:
I installed the packages "kodi-inputstream-adaptive" and "kodi-inputstream-ffmpegdirect" at OS-level. This led to dialog-boxes in Kodi and triggered the installation of widevine.
Now everything works as expected.
(2021-06-27, 22:01)michaelAT Wrote: [ -> ]
(2021-06-26, 11:36)sofaking Wrote: [ -> ]@michaelAT did you install the version from the official repo. HLS is not supported in combination with DRM. not sure why the hls stream i selected in your case. can you send the complete log? are you using the serviceapi?

hi sofaking,

yes, I have used the official repo.

I have now uninstalled the orf addon and reinstalled it. after I started a specific livestream kodi now prompted me to install additional addons (inputstream adaptive and widevine) - not sure why that did not happen previously. anyway, all encrypted livestreams seem to work fine now -  many thanks!

the only remaining issue I have noticed is, that for some (not all) livestreams audio and video is out of sync (by multiple seconds) - but I have not really found a pattern yet, in which specific case that happens. so far, it seems like just sport streams are affected. since this could potentially have many different reasons (inclunding bandwith bottlenecks) I will observe this a litte more...
cant do anything about the audio issue. could be a kodi core problem, could be some problems on the stream delivery. try a lower resolution from the adaptive stream maybe the problem will go away
@everybody FIY: the service api stopped working because the authentication method we got the leaked hash for was dropped. disable the serviceapi in the settings. everything should continue to work just fine.
Dear all!

Thank you very much for this plugin!
Some videos, actually most videos, work very well, others don't play (or load?) at all, like most or even all videos from the olympic games.
I have Libreelec 9.2 on a Raspi 3, running the default players (omx)

Is there something special about those videos? On my PC on the browser the videos play very well.
Pages: 1 2 3 4 5 6 7 8 9 10 11